# StorageFileInfo - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.utils / StorageFileInfo

# StorageFileInfo

(common) `data class StorageFileInfo` (source)

### Constructors

(common)

#### <init>

`StorageFileInfo(contentType: String, fileName: String)`

### Properties

(common)

#### contentType

`val contentType: String`

(common)

#### fileName

`val fileName: String`

### Functions

(common)

#### generateCustomName

`fun generateCustomName(): String`